
%--------------------------------------------------------------------
% SIGNAL PROCESSING FOR AUDIO AND ACOUSTICS
% Fall 2011
%
% Name     : Benedikt Fasel, Tao C. Lee
%
%--------------------------------------------------------------------
% Matlab program for the mini project -- Cocktail-Party Processor
%--------------------------------------------------------------------

function main

clear all
close all

%     echo on
clc

select = input('Select source separation algorithm 1(time-frequency masking)/2(histogram masking): ', 's');

% Source separation via time-frequency masking.
if (select == '1')
    tfSeparation;
    % Source separation via histogram masking
elseif (select == '2')
    histSeparation;
else
    fprintf('No algorithm selected.\n')
end

%     echo off
